# 32/64bit spec
#

Name: pulseaudioutils
Summary: A collection of little tools for working with PulseAudio
Summary(de): Sammlung von kleinen Werkzeugen zum Arbeiten mit PulseAudio
Version: 0.2.1
Release: %mkrel 4
License: GPLv2+
Group: Sound
URL: www.pclinuxos.com/forum
Source0: PulseAudioUtils.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: gtkdialog
Requires: pavucontrol
Requires: paprefs
Requires: pulseaudio-module-equalizer
Requires: pulseaudio
Requires: pulseaudio-recorder
Requires: pulsecaster
Requires: audio-recorder

%description 
PulseAudioUtils is collection of little tools for working with PulseAudio.
The collection contains currently a mixer, a control panel and a recorder.


%description -l de
PulseAudioUtils ist eine Sammlung von kleinen Werkzeugen zum Arbeiten mit PulseAudio.
Dezeitig sind ein Mixer, ein Kontrollpanel und ein Rekorder enthalten.

%package -n pulseaudio-control-panel
Summary: A simple control panel for the configuration of pulseaudio
Summary(de): Einfache Kontrollleiste für die Konfiguration von Pulseaudio
Group:	Sound
License: GPLv2+
BuildArch: noarch
Requires: gtkdialog
Requires: pavucontrol
Requires: paprefs
Requires: pulseaudio-module-equalizer
Requires: pulseaudio
Requires: pulseaudio-recorder
Requires: pulsecaster
Requires: audio-recorder

%description -n pulseaudio-control-panel
A simple control panel for the configuration of pulseaudio

%description -n pulseaudio-control-panel -l de
Einfache Kontrollleiste für die Konfiguration von Pulseaudio

%package -n pulseaudio-recorder
Summary: Simple recorder script using pulseaudio
Summary(de): Einfaches Aufnahmeskript, welches pulseaudio nutzt
Group:	Sound
License: GPLv2+
BuildArch: noarch
Requires: gtkdialog
Requires: sox
Requires: pulseaudio

%description -n pulseaudio-recorder
Simple recorder script using pulseaudio

%description -n pulseaudio-recorder -l de
Einfaches Aufnahmeskript, welches pulseaudio nutzt

%prep
%setup -q -n PulseAudioUtils

%build
# nothing to do here

%install
export PREFIX=/usr
rm -rf %{buildroot}
%makeinstall_std

%post -n pulseaudio-recorder
rm -rf %{_iconsdir}/PulseAudioUtils
if [ ! -e %{_iconsdir}/PulseAudioUtils/icons ]; then
	mkdir -p %{_iconsdir}/PulseAudioUtils
	ln -fs %{_datadir}/PulseAudioUtils/icons\#1 %{_iconsdir}/PulseAudioUtils/icons
fi

%postun -n pulseaudio-recorder
rm -rf %{_iconsdir}/PulseAudioUtils

%files -n pulseaudio-control-panel
%defattr(-,root,root)
%doc LICENSE translations/PulseAudioControlPanel.pot translations/README
%{_bindir}/PulseAudioControlPanel
%{_bindir}/PulseAudioMixer
%{_datadir}/PulseAudioUtils/icons\#*/equaliser.png
%{_datadir}/PulseAudioUtils/icons\#*/mic-rec.png
%{_datadir}/PulseAudioUtils/icons\#*/mixer*.png
%{_datadir}/PulseAudioUtils/icons\#*/pa-cp.png
%{_datadir}/applications/PulseAudioControlPanel.desktop
%{_datadir}/applications/PulseAudioEqualiser.desktop
%{_datadir}/locale/*/LC_MESSAGES/PulseAudioControlPanel.mo

%files -n pulseaudio-recorder
%defattr(-,root,root)
%doc LICENSE translations/PulseAudioControlPanel.pot translations/README
%{_bindir}/PulseAudioRecorder
%{_datadir}/PulseAudioUtils/icons\#*/stop.png
%{_datadir}/PulseAudioUtils/icons\#*/start.png
%{_datadir}/PulseAudioUtils/icons\#*/pause.png
%{_datadir}/PulseAudioUtils/icons\#*/record.png
%{_datadir}/PulseAudioUtils/icons\#*/red-small.png
%{_datadir}/PulseAudioUtils/icons\#*/red-large.png
%{_datadir}/PulseAudioUtils/icons\#*/exit.png
%{_datadir}/applications/PulseAudioRecorder.desktop
%{_datadir}/locale/*/LC_MESSAGES/PulseAudioRecorder.mo
#%{_iconsdir}/PulseAudioUtils/icons

%changelog
* Fri Jan 24 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.1-4pclos2014
- fix icon theme linking

* Sat Nov 16 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.1-3pclos2013
- fix post scriptlet

* Mon Nov 11 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.1-2pclos2013
- fix requires

* Sun Nov 10 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.1-1pclos2013
- 0.2.1

* Thu Aug 15 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.0-1pclos2013
- 0.2.0

* Tue Aug 06 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.1-4pclos2013
- RC1 with Greek translation and several fixes
- fixed files section

* Sat Jul 20 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.1-3pclos2013
- renamed the utils package

* Fri Jul 19 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.1-2pclos2013
- split into two packages

* Mon Jul 15 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.1-1pclos2013
- 0.1.1
- removed patch applied to source

* Mon Jul 08 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.0-1pclos2013
- initial import for pclos